#@+leo-ver=4
#@+node:@file xemacs.py
"""emacs handler"""

from leoPlugins import *
from leoGlobals import *

# path = "/usr/bin/gnuclient"
path = r"c:\Program Files\XEmacs\XEmacs-21.4.13\i586-pc-win32\xemacs.exe"

def open_in_emacs (tag,keywords):
	if top():
		top().frame.OnOpenWith(("os.spawnl", path , None),) # 6/27/03: add comma.

if 0: # Register the handlers...
	registerHandler("iconclick2", open_in_emacs)
	if 0: # This edits _everything_ in xemacs.  That's a bit much for my taste.
		registerHandler("select2", open_in_emacs)
	
	__version__ = "1.2" # Set version for the plugin handler.
	plugin_signon(__name__)
#@nonl
#@-node:@file xemacs.py
#@-leo
